# \Thelia\ModelProductDocument

## Summary

Methods
Properties
Constants
__construct()
isModified()
isColumnModified()
getModifiedColumns()
isNew()
setNew()
isDeleted()
setDeleted()
resetModified()
equals()
hashCode()
getVirtualColumns()
hasVirtualColumn()
getVirtualColumn()
setVirtualColumn()
importFrom()
exportTo()
__sleep()
getId()
getProductId()
getFile()
getPosition()
getCreatedAt()
getUpdatedAt()
setId()
setProductId()
setFile()
setPosition()
setCreatedAt()
setUpdatedAt()
hasOnlyDefaultValues()
hydrate()
ensureConsistency()
reload()
delete()
save()
getByName()
getByPosition()
toArray()
setByName()
setByPosition()
fromArray()
buildCriteria()
buildPkeyCriteria()
getPrimaryKey()
setPrimaryKey()
isPrimaryKeyNull()
copyInto()
copy()
setProduct()
getProduct()
initRelation()
clearProductDocumentI18ns()
resetPartialProductDocumentI18ns()
initProductDocumentI18ns()
getProductDocumentI18ns()
setProductDocumentI18ns()
countProductDocumentI18ns()
addProductDocumentI18n()
removeProductDocumentI18n()
clear()
clearAllReferences()
__toString()
keepUpdateDateUnchanged()
setLocale()
getLocale()
getTranslation()
removeTranslation()
getCurrentTranslation()
getTitle()
setTitle()
getDescription()
setDescription()
getChapo()
setChapo()
getPostscriptum()
setPostscriptum()
preSave()
postSave()
preInsert()
postInsert()
preUpdate()
postUpdate()
preDelete()
postDelete()
__call()
No public properties found
TABLE_MAP
log()
doSave()
doInsert()
doUpdate()
doAddProductDocumentI18n()
$new
$deleted
$modifiedColumns
$virtualColumns
$id
$product_id
$file
$position
$created_at
$updated_at
$aProduct
$collProductDocumentI18ns
$collProductDocumentI18nsPartial
$alreadyInSave
$currentLocale
$currentTranslations
$productDocumentI18nsScheduledForDeletion
N/A
No private methods found
No private properties found
N/A

File
  Model/ProductDocument.php
Package
  \Default
Class hierarchy
  \Thelia\Model\Base\ProductDocument
  \Thelia\Model\ProductDocument

## Tags

None found

## Constants

### TABLE_MAP

    TABLE_MAP

TableMap class name

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

## Properties

### $new

    $new : boolean

attribute to determine if this object has previously been saved.

#### Type

boolean

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### $deleted

    $deleted : boolean

attribute to determine whether this object has been deleted.

#### Type

boolean

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### $modifiedColumns

    $modifiedColumns : array

The columns that have been modified in current object.

Tracking modified columns allows us to only update modified columns.

#### Type

array

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### $virtualColumns

    $virtualColumns : array

The (virtual) columns that are added at runtime The formatters can add supplementary columns based on a resultset

#### Type

array

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### $id

    $id : int

The value for the id field.

#### Type

int

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### $product_id

    $product_id : int

The value for the product_id field.

#### Type

int

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### $file

    $file : string

The value for the file field.

#### Type

string

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### $position

    $position : int

The value for the position field.

#### Type

int

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### $created_at

    $created_at : string

The value for the created_at field.

#### Type

string

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### $updated_at

    $updated_at : string

The value for the updated_at field.

#### Type

string

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### $aProduct

    $aProduct : \Thelia\Model\Base\Product

#### Type

\Thelia\Model\Base\Product

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### $collProductDocumentI18ns

    $collProductDocumentI18ns : \Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\ProductDocumentI18n[]

#### Type

\Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\ProductDocumentI18n[] — Collection to store aggregation of ChildProductDocumentI18n objects.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### $collProductDocumentI18nsPartial

    $collProductDocumentI18nsPartial

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### $alreadyInSave

    $alreadyInSave : boolean

Flag to prevent endless save loop, if this object is referenced by another object which falls in this transaction.

#### Type

boolean

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### $currentLocale

    $currentLocale : string

Current locale

#### Type

string

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### $currentTranslations

    $currentTranslations : \Thelia\Model\Base\array[ChildProductDocumentI18n]

Current translation objects

#### Type

\Thelia\Model\Base\array[ChildProductDocumentI18n]

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### $productDocumentI18nsScheduledForDeletion

    $productDocumentI18nsScheduledForDeletion : \Propel\Runtime\Collection\ObjectCollection

An array of objects scheduled for deletion.

#### Type

\Propel\Runtime\Collection\ObjectCollection

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

## Methods

### __construct()

    __construct()

Initializes internal state of Thelia\Model\Base\ProductDocument object.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### isModified()

    isModified() : boolean

Returns whether the object has been modified.

#### Returns

boolean —

True if the object has been modified.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### isColumnModified()

    isColumnModified(string $col) : boolean

Has specified column been modified?

#### Parameters

string | $col | column fully qualified name (TableMap::TYPE_COLNAME), e.g. Book::AUTHOR_ID

#### Returns

boolean —

True if $col has been modified.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### getModifiedColumns()

    getModifiedColumns() : array

Get the columns that have been modified in this object.

#### Returns

array —

A unique list of the modified column names for this object.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### isNew()

    isNew() : \Thelia\Model\Base\true,

Returns whether the object has ever been saved. This will be false, if the object was retrieved from storage or was created and then saved.

#### Returns

\Thelia\Model\Base\true, —

if the object has never been persisted.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### setNew()

    setNew(boolean $b)

Setter for the isNew attribute. This method will be called by Propel-generated children and objects.

#### Parameters

boolean | $b | the state of the object.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### isDeleted()

    isDeleted() : boolean

Whether this object has been deleted.

#### Returns

boolean —

The deleted state of this object.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### setDeleted()

    setDeleted(boolean $b) : void

Specify whether this object has been deleted.

#### Parameters

boolean | $b | The deleted state of this object.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### resetModified()

    resetModified(string $col) : void

Sets the modified state for the object to be false.

#### Parameters

string | $col | If supplied, only the specified column is reset.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### equals()

    equals( $obj) : \Thelia\Model\Base\Whether

Compares this with another <code>ProductDocument</code> instance. If <code>obj</code> is an instance of <code>ProductDocument</code>, delegates to <code>equals(ProductDocument)</code>. Otherwise, returns <code>false</code>.

#### Parameters

| $obj |

#### Returns

\Thelia\Model\Base\Whether —

equal to the object specified.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### hashCode()

    hashCode() : int

If the primary key is not null, return the hashcode of the primary key. Otherwise, return the hash code of the object.

#### Returns

int —

Hashcode

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### getVirtualColumns()

    getVirtualColumns() : array

Get the associative array of the virtual columns in this object

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### hasVirtualColumn()

    hasVirtualColumn( $name) : boolean

Checks the existence of a virtual column in this object

#### Parameters

| $name |

#### Returns

boolean

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### getVirtualColumn()

    getVirtualColumn( $name) : mixed

Get the value of a virtual column in this object

#### Parameters

| $name |

#### Returns

mixed

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### setVirtualColumn()

    setVirtualColumn(string $name, mixed $value) : \Thelia\Model\Base\ProductDocument

Set the value of a virtual column in this object

#### Parameters

string | $name | The virtual column name
mixed | $value | The value to give to the virtual column

#### Returns

\Thelia\Model\Base\ProductDocument —

The current object, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### importFrom()

    importFrom(mixed $parser, string $data) : \Thelia\Model\Base\ProductDocument

Populate the current object from a string, using a given parser format <code> $book = new Book(); $book->importFrom('JSON', '{"Id":9012,"Title":"Don Juan","ISBN":"0140422161","Price":12.99,"PublisherId":1234,"AuthorId":5678}'); </code>

#### Parameters

mixed | $parser | A AbstractParser instance, or a format name ('XML', 'YAML', 'JSON', 'CSV')
string | $data | The source data to import from

#### Returns

\Thelia\Model\Base\ProductDocument —

The current object, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### exportTo()

    exportTo(mixed $parser, boolean $includeLazyLoadColumns) : string

Export the current object properties to a string, using a given parser format <code> $book = BookQuery::create()->findPk(9012); echo $book->exportTo('JSON'); => {"Id":9012,"Title":"Don Juan","ISBN":"0140422161","Price":12.99,"PublisherId":1234,"AuthorId":5678}'); </code>

#### Parameters

mixed | $parser | A AbstractParser instance, or a format name ('XML', 'YAML', 'JSON', 'CSV')
boolean | $includeLazyLoadColumns | (optional) Whether to include lazy load(ed) columns. Defaults to TRUE.

#### Returns

string —

The exported data

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### __sleep()

    __sleep()

Clean up internal collections prior to serializing Avoids recursive loops that turn into segmentation faults when serializing

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### getId()

    getId() : int

Get the [id] column value.

#### Returns

int

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### getProductId()

    getProductId() : int

Get the [product_id] column value.

#### Returns

int

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### getFile()

    getFile() : string

Get the [file] column value.

#### Returns

string

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### getPosition()

    getPosition() : int

Get the [position] column value.

#### Returns

int

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### getCreatedAt()

    getCreatedAt(string $format) : mixed

Get the [optionally formatted] temporal [created_at] column value.

#### Parameters

string | $format | The date/time format string (either date()-style or strftime()-style). If format is NULL, then the raw \DateTime object will be returned.

#### Throws

\Propel\Runtime\Exception\PropelException
  - if unable to parse/validate the date/time value.

#### Returns

mixed —

Formatted date/time value as string or \DateTime object (if format is NULL), NULL if column is NULL, and 0 if column value is 0000-00-00 00:00:00

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### getUpdatedAt()

    getUpdatedAt(string $format) : mixed

Get the [optionally formatted] temporal [updated_at] column value.

#### Parameters

string | $format | The date/time format string (either date()-style or strftime()-style). If format is NULL, then the raw \DateTime object will be returned.

#### Throws

\Propel\Runtime\Exception\PropelException
  - if unable to parse/validate the date/time value.

#### Returns

mixed —

Formatted date/time value as string or \DateTime object (if format is NULL), NULL if column is NULL, and 0 if column value is 0000-00-00 00:00:00

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### setId()

    setId(int $v) : \Thelia\Model\ProductDocument

Set the value of [id] column.

#### Parameters

int | $v | new value

#### Returns

\Thelia\Model\ProductDocument —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### setProductId()

    setProductId(int $v) : \Thelia\Model\ProductDocument

Set the value of [product_id] column.

#### Parameters

int | $v | new value

#### Returns

\Thelia\Model\ProductDocument —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### setFile()

    setFile(string $v) : \Thelia\Model\ProductDocument

Set the value of [file] column.

#### Parameters

string | $v | new value

#### Returns

\Thelia\Model\ProductDocument —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### setPosition()

    setPosition(int $v) : \Thelia\Model\ProductDocument

Set the value of [position] column.

#### Parameters

int | $v | new value

#### Returns

\Thelia\Model\ProductDocument —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### setCreatedAt()

    setCreatedAt(mixed $v) : \Thelia\Model\ProductDocument

Sets the value of [created_at] column to a normalized version of the date/time value specified.

#### Parameters

mixed | $v | string, integer (timestamp), or \DateTime value. Empty strings are treated as NULL.

#### Returns

\Thelia\Model\ProductDocument —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### setUpdatedAt()

    setUpdatedAt(mixed $v) : \Thelia\Model\ProductDocument

Sets the value of [updated_at] column to a normalized version of the date/time value specified.

#### Parameters

mixed | $v | string, integer (timestamp), or \DateTime value. Empty strings are treated as NULL.

#### Returns

\Thelia\Model\ProductDocument —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### hasOnlyDefaultValues()

    hasOnlyDefaultValues() : boolean

Indicates whether the columns in this object are only set to default values.

This method can be used in conjunction with isModified() to indicate whether an object is both modified and has some values set which are non-default.

#### Returns

boolean —

Whether the columns in this object are only been set with default values.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### hydrate()

    hydrate(array $row, int $startcol, boolean $rehydrate, string $indexType) : int

Hydrates (populates) the object variables with values from the database resultset.

An offset (0-based "start column") is specified so that objects can be hydrated with a subset of the columns in the resultset rows. This is needed, for example, for results of JOIN queries where the resultset row includes columns from two or more tables.

#### Parameters

array | $row | The row returned by DataFetcher->fetch().
int | $startcol | 0-based offset column which indicates which restultset column to start with.
boolean | $rehydrate | Whether this object is being re-hydrated from the database.
string | $indexType | The index type of $row. Mostly DataFetcher->getIndexType(). One of the class type constants TableMap::TYPE_PHPNAME, TableMap::TYPE_STUDLYPHPNAME TableMap::TYPE_COLNAME, TableMap::TYPE_FIELDNAME, TableMap::TYPE_NUM.

#### Throws

\Propel\Runtime\Exception\PropelException
  - Any caught Exception will be rewrapped as a PropelException.

#### Returns

int —

next starting column

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### ensureConsistency()

    ensureConsistency()

Checks and repairs the internal consistency of the object.

This method is executed after an already-instantiated object is re-hydrated from the database. It exists to check any foreign keys to make sure that the objects related to the current object are correct based on foreign key.

You can override this method in the stub class, but you should always invoke the base method from the overridden method (i.e. parent::ensureConsistency()), in case your model changes.

#### Throws

\Propel\Runtime\Exception\PropelException

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### reload()

    reload(boolean $deep, \Propel\Runtime\Connection\ConnectionInterface $con) : void

Reloads this object from datastore based on primary key and (optionally) resets all associated objects.

This will only work if the object has been saved and has a valid primary key set.

#### Parameters

boolean | $deep | (optional) Whether to also de-associated any related objects.
\Propel\Runtime\Connection\ConnectionInterface | $con | (optional) The ConnectionInterface connection to use.

#### Throws

\Propel\Runtime\Exception\PropelException
  - if this object is deleted, unsaved or doesn't have pk match in db

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : void

Removes this object from datastore and sets delete attribute.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Throws

\Propel\Runtime\Exception\PropelException

#

Inherited from
  \Thelia\Model\Base\ProductDocument
See also

## Tags

None found

### save()

    save(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Persists this object to the database.

If the object is new, it inserts it; otherwise an update is performed. All modified related objects will also be persisted in the doSave() method. This method wraps all precipitate database operations in a single transaction.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

int —

The number of rows affected by this insert/update and any referring fk objects' save() operations.

#

Inherited from
  \Thelia\Model\Base\ProductDocument
See also

## Tags

None found

### getByName()

    getByName(string $name, string $type) : mixed

Retrieves a field from the object by name passed in as a string.

#### Parameters

string | $name | name
string | $type | The type of fieldname the $name is of: one of the class type constants TableMap::TYPE_PHPNAME, TableMap::TYPE_STUDLYPHPNAME TableMap::TYPE_COLNAME, TableMap::TYPE_FIELDNAME, TableMap::TYPE_NUM. Defaults to TableMap::TYPE_PHPNAME.

#### Returns

mixed —

Value of field.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### getByPosition()

    getByPosition(int $pos) : mixed

Retrieves a field from the object by Position as specified in the xml schema.

Zero-based.

#### Parameters

int | $pos | position in xml schema

#### Returns

mixed —

Value of field at $pos

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### toArray()

    toArray(string $keyType, boolean $includeLazyLoadColumns, array $alreadyDumpedObjects, boolean $includeForeignObjects) : array

Exports the object as an array.

You can specify the key type of the array by passing one of the class type constants.

#### Parameters

string | $keyType | (optional) One of the class type constants TableMap::TYPE_PHPNAME, TableMap::TYPE_STUDLYPHPNAME, TableMap::TYPE_COLNAME, TableMap::TYPE_FIELDNAME, TableMap::TYPE_NUM. Defaults to TableMap::TYPE_PHPNAME.
boolean | $includeLazyLoadColumns | (optional) Whether to include lazy loaded columns. Defaults to TRUE.
array | $alreadyDumpedObjects | List of objects to skip to avoid recursion
boolean | $includeForeignObjects | (optional) Whether to include hydrated related objects. Default to FALSE.

#### Returns

array —

an associative array containing the field names (as keys) and field values

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### setByName()

    setByName(string $name, mixed $value, string $type) : void

Sets a field from the object by name passed in as a string.

#### Parameters

string | $name |
mixed | $value | field value
string | $type | The type of fieldname the $name is of: one of the class type constants TableMap::TYPE_PHPNAME, TableMap::TYPE_STUDLYPHPNAME TableMap::TYPE_COLNAME, TableMap::TYPE_FIELDNAME, TableMap::TYPE_NUM. Defaults to TableMap::TYPE_PHPNAME.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### setByPosition()

    setByPosition(int $pos, mixed $value) : void

Sets a field from the object by Position as specified in the xml schema.

Zero-based.

#### Parameters

int | $pos | position in xml schema
mixed | $value | field value

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### fromArray()

    fromArray(array $arr, string $keyType) : void

Populates the object using an array.

This is particularly useful when populating an object from one of the request arrays (e.g. $_POST). This method goes through the column names, checking to see whether a matching key exists in populated array. If so the setByName() method is called for that column.

You can specify the key type of the array by additionally passing one of the class type constants TableMap::TYPE_PHPNAME, TableMap::TYPE_STUDLYPHPNAME, TableMap::TYPE_COLNAME, TableMap::TYPE_FIELDNAME, TableMap::TYPE_NUM. The default key type is the column's TableMap::TYPE_PHPNAME.

#### Parameters

array | $arr | An array to populate the object from.
string | $keyType | The type of keys the array uses.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### buildCriteria()

    buildCriteria() : \Propel\Runtime\ActiveQuery\Criteria

Build a Criteria object containing the values of all modified columns in this object.

#### Returns

\Propel\Runtime\ActiveQuery\Criteria —

The Criteria object containing all modified values.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### buildPkeyCriteria()

    buildPkeyCriteria() : \Propel\Runtime\ActiveQuery\Criteria

Builds a Criteria object containing the primary key for this object.

Unlike buildCriteria() this method includes the primary key values regardless of whether or not they have been modified.

#### Returns

\Propel\Runtime\ActiveQuery\Criteria —

The Criteria object containing value(s) for primary key(s).

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### getPrimaryKey()

    getPrimaryKey() : int

Returns the primary key for this object (row).

#### Returns

int

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### setPrimaryKey()

    setPrimaryKey(int $key) : void

Generic method to set the primary key (id column).

#### Parameters

int | $key | Primary key.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### isPrimaryKeyNull()

    isPrimaryKeyNull() : boolean

Returns true if the primary key for this object is null.

#### Returns

boolean

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### copyInto()

    copyInto(object $copyObj, boolean $deepCopy, boolean $makeNew)

Sets contents of passed object to values from current object.

If desired, this method can also make copies of all associated (fkey referrers) objects.

#### Parameters

object | $copyObj | An object of \Thelia\Model\ProductDocument (or compatible) type.
boolean | $deepCopy | Whether to also copy all rows that refer (by fkey) to the current row.
boolean | $makeNew | Whether to reset autoincrement PKs and make the object new.

#### Throws

\Propel\Runtime\Exception\PropelException

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### copy()

    copy(boolean $deepCopy) : \Thelia\Model\ProductDocument

Makes a copy of this object that will be inserted as a new row in table when saved.

It creates a new object filling in the simple attributes, but skipping any primary keys that are defined for the table.

If desired, this method can also make copies of all associated (fkey referrers) objects.

#### Parameters

boolean | $deepCopy | Whether to also copy all rows that refer (by fkey) to the current row.

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

\Thelia\Model\ProductDocument —

Clone of current object.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### setProduct()

    setProduct(\Thelia\Model\Product $v) : \Thelia\Model\ProductDocument

Declares an association between this object and a ChildProduct object.

#### Parameters

\Thelia\Model\Product | $v |

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

\Thelia\Model\ProductDocument —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### getProduct()

    getProduct(\Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Product

Get the associated ChildProduct object

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | Optional Connection object.

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

\Thelia\Model\Product —

The associated ChildProduct object.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### initRelation()

    initRelation(string $relationName) : void

Initializes a collection based on the name of a relation.

Avoids crafting an 'init[$relationName]s' method name that wouldn't work when StandardEnglishPluralizer is used.

#### Parameters

string | $relationName | The name of the relation to initialize

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### clearProductDocumentI18ns()

    clearProductDocumentI18ns() : void

Clears out the collProductDocumentI18ns collection

This does not modify the database; however, it will remove any associated objects, causing them to be refetched by subsequent calls to accessor method.

#

Inherited from
  \Thelia\Model\Base\ProductDocument
See also

## Tags

None found

### resetPartialProductDocumentI18ns()

    resetPartialProductDocumentI18ns( $v)

Reset is the collProductDocumentI18ns collection loaded partially.

#### Parameters

| $v |

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### initProductDocumentI18ns()

    initProductDocumentI18ns(boolean $overrideExisting) : void

Initializes the collProductDocumentI18ns collection.

By default this just sets the collProductDocumentI18ns collection to an empty array (like clearcollProductDocumentI18ns()); however, you may wish to override this method in your stub class to provide setting appropriate to your application -- for example, setting the initial array to the values stored in database.

#### Parameters

boolean | $overrideExisting | If set to true, the method call initializes the collection even if it is not empty

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### getProductDocumentI18ns()

    getProductDocumentI18ns(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\Collection|\Thelia\Model\ProductDocumentI18n[]

Gets an array of ChildProductDocumentI18n objects which contain a foreign key that references this object.

If the $criteria is not null, it is used to always fetch the results from the database. Otherwise the results are fetched from the database the first time, then cached. Next time the same method is called without $criteria, the cached collection is returned. If this ChildProductDocument is new, it will return an empty collection or the current collection; the criteria is ignored on a new object.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\ProductDocumentI18n[] —

List of ChildProductDocumentI18n objects

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### setProductDocumentI18ns()

    setProductDocumentI18ns(\Propel\Runtime\Collection\Collection $productDocumentI18ns, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\ProductDocument

Sets a collection of ProductDocumentI18n objects related by a one-to-many relationship to the current object.

It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

#### Parameters

\Propel\Runtime\Collection\Collection | $productDocumentI18ns | A Propel collection.
\Propel\Runtime\Connection\ConnectionInterface | $con | Optional connection object

#### Returns

\Thelia\Model\ProductDocument —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### countProductDocumentI18ns()

    countProductDocumentI18ns(\Propel\Runtime\ActiveQuery\Criteria $criteria, boolean $distinct, \Propel\Runtime\Connection\ConnectionInterface $con) : int

Returns the number of related ProductDocumentI18n objects.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria |
boolean | $distinct |
\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

int —

Count of related ProductDocumentI18n objects.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### addProductDocumentI18n()

    addProductDocumentI18n(\Thelia\Model\ProductDocumentI18n $l) : \Thelia\Model\ProductDocument

Method called to associate a ChildProductDocumentI18n object to this object through the ChildProductDocumentI18n foreign key attribute.

#### Parameters

\Thelia\Model\ProductDocumentI18n | $l | ChildProductDocumentI18n

#### Returns

\Thelia\Model\ProductDocument —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### removeProductDocumentI18n()

    removeProductDocumentI18n(\Thelia\Model\Base\ProductDocumentI18n $productDocumentI18n) : \Thelia\Model\ProductDocument

#### Parameters

\Thelia\Model\Base\ProductDocumentI18n | $productDocumentI18n | The productDocumentI18n object to remove.

#### Returns

\Thelia\Model\ProductDocument —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### clear()

    clear()

Clears the current object and sets all attributes to their default values

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### clearAllReferences()

    clearAllReferences(boolean $deep)

Resets all references to other model objects or collections of model objects.

This method is a user-space workaround for PHP's inability to garbage collect objects with circular references (even in PHP 5.3). This is currently necessary when using Propel in certain daemon or large-volume/high-memory operations.

#### Parameters

boolean | $deep | Whether to also clear the references on all referrer objects.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### __toString()

    __toString() : string

Return the string representation of this object

#### Returns

string

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### keepUpdateDateUnchanged()

    keepUpdateDateUnchanged() : \Thelia\Model\ProductDocument

Mark the current object so that the update date doesn't get updated during next save

#### Returns

\Thelia\Model\ProductDocument —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### setLocale()

    setLocale(string $locale) : \Thelia\Model\ProductDocument

Sets the locale for translations

#### Parameters

string | $locale | Locale to use for the translation, e.g. 'fr_FR'

#### Returns

\Thelia\Model\ProductDocument —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### getLocale()

    getLocale() : string

Gets the locale for translations

#### Returns

string —

$locale Locale to use for the translation, e.g. 'fr_FR'

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### getTranslation()

    getTranslation(string $locale, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\ProductDocumentI18n

Returns the current translation for a given locale

#### Parameters

string | $locale | Locale to use for the translation, e.g. 'fr_FR'
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\ProductDocumentI18n

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### removeTranslation()

    removeTranslation(string $locale, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\ProductDocument

Remove the translation for a given locale

#### Parameters

string | $locale | Locale to use for the translation, e.g. 'fr_FR'
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\ProductDocument —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### getCurrentTranslation()

    getCurrentTranslation(\Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\ProductDocumentI18n

Returns the current translation

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\ProductDocumentI18n

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### getTitle()

    getTitle() : string

Get the [title] column value.

#### Returns

string

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### setTitle()

    setTitle(string $v) : \Thelia\Model\ProductDocumentI18n

Set the value of [title] column.

#### Parameters

string | $v | new value

#### Returns

\Thelia\Model\ProductDocumentI18n —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### getDescription()

    getDescription() : string

Get the [description] column value.

#### Returns

string

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### setDescription()

    setDescription(string $v) : \Thelia\Model\ProductDocumentI18n

Set the value of [description] column.

#### Parameters

string | $v | new value

#### Returns

\Thelia\Model\ProductDocumentI18n —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### getChapo()

    getChapo() : string

Get the [chapo] column value.

#### Returns

string

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### setChapo()

    setChapo(string $v) : \Thelia\Model\ProductDocumentI18n

Set the value of [chapo] column.

#### Parameters

string | $v | new value

#### Returns

\Thelia\Model\ProductDocumentI18n —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### getPostscriptum()

    getPostscriptum() : string

Get the [postscriptum] column value.

#### Returns

string

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### setPostscriptum()

    setPostscriptum(string $v) : \Thelia\Model\ProductDocumentI18n

Set the value of [postscriptum] column.

#### Parameters

string | $v | new value

#### Returns

\Thelia\Model\ProductDocumentI18n —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### preSave()

    preSave(\Propel\Runtime\Connection\ConnectionInterface $con) : boolean

Code to be run before persisting the object

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Returns

boolean

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### postSave()

    postSave(\Propel\Runtime\Connection\ConnectionInterface $con)

Code to be run after persisting the object

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### preInsert()

    preInsert(\Propel\Runtime\Connection\ConnectionInterface $con) : boolean

Code to be run before inserting to database

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Returns

boolean

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### postInsert()

    postInsert(\Propel\Runtime\Connection\ConnectionInterface $con)

Code to be run after inserting to database

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### preUpdate()

    preUpdate(\Propel\Runtime\Connection\ConnectionInterface $con) : boolean

Code to be run before updating the object in database

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Returns

boolean

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### postUpdate()

    postUpdate(\Propel\Runtime\Connection\ConnectionInterface $con)

Code to be run after updating the object in database

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### preDelete()

    preDelete(\Propel\Runtime\Connection\ConnectionInterface $con) : boolean

Code to be run before deleting the object in database

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Returns

boolean

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### postDelete()

    postDelete(\Propel\Runtime\Connection\ConnectionInterface $con)

Code to be run after deleting the object in database

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### __call()

    __call(string $name, mixed $params) : array|string

Derived method to catches calls to undefined methods.

Provides magic import/export method support (fromXML()/toXML(), fromYAML()/toYAML(), etc.). Allows to define default __call() behavior if you overwrite __call()

#### Parameters

string | $name |
mixed | $params |

#### Returns

array|string

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### log()

    log(string $msg, int $priority) : boolean

Logs a message using Propel::log().

#### Parameters

string | $msg |
int | $priority | One of the Propel::LOG_* logging levels

#### Returns

boolean

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### doSave()

    doSave(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs the work of inserting or updating the row in the database.

If the object is new, it inserts it; otherwise an update is performed. All related objects are also updated in this method.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

int —

The number of rows affected by this insert/update and any referring fk objects' save() operations.

#

Inherited from
  \Thelia\Model\Base\ProductDocument
See also

## Tags

None found

### doInsert()

    doInsert(\Propel\Runtime\Connection\ConnectionInterface $con)

Insert the row in the database.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Throws

\Propel\Runtime\Exception\PropelException

#

Inherited from
  \Thelia\Model\Base\ProductDocument
See also

## Tags

None found

### doUpdate()

    doUpdate(\Propel\Runtime\Connection\ConnectionInterface $con) : Integer

Update the row in the database.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Returns

Integer —

Number of updated rows

#

Inherited from
  \Thelia\Model\Base\ProductDocument
See also

## Tags

None found

### doAddProductDocumentI18n()

    doAddProductDocumentI18n(\Thelia\Model\Base\ProductDocumentI18n $productDocumentI18n)

#### Parameters

\Thelia\Model\Base\ProductDocumentI18n | $productDocumentI18n | The productDocumentI18n object to add.

#

Inherited from
  \Thelia\Model\Base\ProductDocument

## Tags

None found

### ProductDocument.php